summaryrefslogtreecommitdiff
path: root/target/device/Atmel/atngw100/target_skeleton/etc/init.d/S02hostname
diff options
context:
space:
mode:
Diffstat (limited to 'target/device/Atmel/atngw100/target_skeleton/etc/init.d/S02hostname')
-rwxr-xr-xtarget/device/Atmel/atngw100/target_skeleton/etc/init.d/S02hostname10
1 files changed, 5 insertions, 5 deletions
diff --git a/target/device/Atmel/atngw100/target_skeleton/etc/init.d/S02hostname b/target/device/Atmel/atngw100/target_skeleton/etc/init.d/S02hostname
index fcad428af..083d41dc4 100755
--- a/target/device/Atmel/atngw100/target_skeleton/etc/init.d/S02hostname
+++ b/target/device/Atmel/atngw100/target_skeleton/etc/init.d/S02hostname
@@ -2,8 +2,8 @@
PROGRAM=/bin/hostname
-echo -n "Setting hostname:"
-[ -x ${PROGRAM} ] || (echo " missing"; exit 0)
+echo -n "Setting hostname: "
+[ -x ${PROGRAM} ] || (echo "missing"; exit 0)
if [ -f /etc/hostname ]; then
HOST="$(cat /etc/hostname)"
@@ -12,10 +12,10 @@ else
fi
start() {
- if ${PROGRAM} "${HOST}" > /dev/null 2> /dev/null; then
- echo " '${HOST}'"
+ if ${PROGRAM} "${HOST}"; then
+ echo "'${HOST}'"
else
- echo " failed"
+ echo "failed"
exit 1
fi
}